#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-class-plugin
version:              1.1.1.0
visibility:           public
id:                   hls-class-plugin-1.1.1.0-GUno8u5AMA0FNaJXNsRdct
key:                  hls-class-plugin-1.1.1.0-GUno8u5AMA0FNaJXNsRdct
license:              Apache-2.0
maintainer:           jjc9310@gmail.com
author:               Junyoung Clare Jang
homepage:             https://github.com/haskell/haskell-language-server#readme
synopsis:
    Class/instance management plugin for Haskell Language Server

description:
    Class/instance management plugin for Haskell Language Server.
    For usage, please see README of HLS on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  0b8485a9ba3fff32e49d46b0dcbb1b20
exposed:              True
exposed-modules:      Ide.Plugin.Class
hidden-modules:
    Ide.Plugin.Class.CodeAction Ide.Plugin.Class.CodeLens
    Ide.Plugin.Class.ExactPrint Ide.Plugin.Class.Types
    Ide.Plugin.Class.Utils

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-class-plugin-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-class-plugin
hs-libraries:         HShls-class-plugin-1.1.1.0-GUno8u5AMA0FNaJXNsRdct
depends:
    aeson-2.1.2.1-J6wnXiXr8jy3zmvV4sfPgG base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.15-6xoZVmIPDidCT7RulGO3Ih ghc-9.2.8 ghc-boot-th-9.2.8
    ghc-exactprint-1.5.0-FK3Vcp8sKHGJYmPyn3gHWx
    ghcide-1.9.1.0-82MtPiw6VEy7g2zsCS0H1y
    hls-graph-1.9.0.0-Cfk6hlbhshuFYcpubT3Xjf
    hls-plugin-api-1.6.0.0-6wwtik1rNrF7GVrrfOafh2
    lens-5.2.3-4cGX2ctZ6hY3XjW6JgkNLj
    lsp-1.6.0.0-Je3AaotTjxsES1xtoeAU3w text-1.2.5.0
    transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-hls-class-plugin/html/hls-class-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-class-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

